1

Topic: Error: Missing Dependency during installation.

I got the error below during the installation, it seems iRedMail changed the yum database and my Fedora10  cannot find out the dependency rpms. what can I do?
----------
<above output has no errors>
....
....
--> Processing Dependency: libldap-2.3.so.0 for package: postfix
--> Processing Dependency: libssl.so.6 for package: postfix
--> Processing Dependency: libcrypto.so.6 for package: postfix
--> Processing Dependency: liblber-2.3.so.0 for package: postfix
--> Processing Dependency: libdb-4.3.so for package: postfix
---> Package pysieved.noarch 0:1.0-2.ired set to be updated
--> Processing Dependency: python(abi) = 2.4 for package: pysieved
--> Finished Dependency Resolution
4:postfix-2.5.6-4.ired.i386 from iRedMail has depsolving problems
  --> Missing Dependency: libldap-2.3.so.0 is needed by package 4:postfix-2.5.6-4.ired.i386 (iRedMail)
1:perl-Convert-UUlib-1.11-1.ired.i386 from iRedMail has depsolving problems
  --> Missing Dependency: perl(:MODULE_COMPAT_5.8.8) is needed by package 1:perl-Convert-UUlib-1.11-1.ired.i386 (iRedMail)
4:postfix-2.5.6-4.ired.i386 from iRedMail has depsolving problems
  --> Missing Dependency: libssl.so.6 is needed by package 4:postfix-2.5.6-4.ired.i386 (iRedMail)
4:postfix-2.5.6-4.ired.i386 from iRedMail has depsolving problems
  --> Missing Dependency: liblber-2.3.so.0 is needed by package 4:postfix-2.5.6-4.ired.i386 (iRedMail)
4:postfix-2.5.6-4.ired.i386 from iRedMail has depsolving problems
  --> Missing Dependency: libdb-4.3.so is needed by package 4:postfix-2.5.6-4.ired.i386 (iRedMail)
perl-BerkeleyDB-0.36-1.el5.rf.i386 from iRedMail has depsolving problems
  --> Missing Dependency: libdb-4.3.so is needed by package perl-BerkeleyDB-0.36-1.el5.rf.i386 (iRedMail)
4:postfix-2.5.6-4.ired.i386 from iRedMail has depsolving problems
  --> Missing Dependency: libcrypto.so.6 is needed by package 4:postfix-2.5.6-4.ired.i386 (iRedMail)
pysieved-1.0-2.ired.noarch from iRedMail has depsolving problems
  --> Missing Dependency: python(abi) = 2.4 is needed by package pysieved-1.0-2.ired.noarch (iRedMail)
Error: Missing Dependency: libdb-4.3.so is needed by package perl-BerkeleyDB-0.36-1.el5.rf.i386 (iRedMail)
Error: Missing Dependency: perl(:MODULE_COMPAT_5.8.8) is needed by package 1:perl-Convert-UUlib-1.11-1.ired.i386 (iRedMail)
Error: Missing Dependency: libdb-4.3.so is needed by package 4:postfix-2.5.6-4.ired.i386 (iRedMail)
Error: Missing Dependency: python(abi) = 2.4 is needed by package pysieved-1.0-2.ired.noarch (iRedMail)
Error: Missing Dependency: libssl.so.6 is needed by package 4:postfix-2.5.6-4.ired.i386 (iRedMail)
Error: Missing Dependency: libldap-2.3.so.0 is needed by package 4:postfix-2.5.6-4.ired.i386 (iRedMail)
Error: Missing Dependency: liblber-2.3.so.0 is needed by package 4:postfix-2.5.6-4.ired.i386 (iRedMail)
Error: Missing Dependency: libcrypto.so.6 is needed by package 4:postfix-2.5.6-4.ired.i386 (iRedMail)
< ERROR > Installation failed, please check the terminal output.
---------

Thanks help!

2

Re: Error: Missing Dependency during installation.

It doesn't work on Fedora.

iRedMail-0.4.0 works on:

  • Red Hat Enterprise Linux 5.x

  • CentOS 5.x

iRedMail-0.5.0-rc1 works on:

  • Red Hat Enterprise Linux 5.x

  • CentOS 5.x

  • Debian 5.0.x (Lenny)

  • Ubuntu 8.04 (Hardy)

  • Ubuntu 9.04 (Jaunty)

3

Re: Error: Missing Dependency during installation.

oh~ ok! so, will it support fedora as well!? Thanks for your reply!

4

Re: Error: Missing Dependency during installation.

No plan to support Fedora.
Please choose one of supported distribution if possible.